Package org.snpeff.snpEffect.factory

# Class SnpEffPredictorFactoryGff2

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff2

public class SnpEffPredictorFactoryGff2 extends SnpEffPredictorFactoryGff
This class creates a SnpEffectPredictor from a GFF2 file. WARNING: GFF2 support is VERY limited! It was only done for amel (honey bee) genome. Note: GFF2 is an obsolete format. Take a look at this quote from Gmod (http://gmod.org/wiki/GFF2) "Why GFF2 is harmful to your health One of GFF2's problems is that it is only able to represent one level of nesting of features. This is mainly a problem when dealing with genes that have multiple alternatively-spliced transcripts. GFF2 is unable to deal with the three-level hierarchy of gene transcript exon. Most people get around this by declaring a series of transcripts and giving them similar names to indicate that they come from the same gene. The second limitation is that while GFF2 allows you to create two-level hierarchies, such as transcript exon, it doesn't have any concept of the direction of the hierarchy. So it doesn't know whether the exon is a subfeature of the transcript, or vice-versa. This means you have to use "aggregators" to sort out the relationships. This is a major pain in the neck. For this reason, GFF2 format has been deprecated in favor of GFF2 format databases." We are only adding this format in order to read old amel2 (Honey bee) genome annotations Refereces: http://gmod.org/wiki/GFF2

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff

`FASTA_DELIMITER`

### Fields inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryGff2(Config config)`

## Method Summary

### Methods inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff

`addExon, addExons, addGene, addGene, addIntergenicConserved, addInterval, addIntronConserved, addUtr3, addUtr5, create, findOrCreateExon, findOrCreateGene, findOrCreateTranscript, parse, readExonSequences, readExonSequencesGff, readGff`

### Methods inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffPredictorFactoryGff2

public SnpEffPredictorFactoryGff2(Config config)